Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Ticket #1938 (closed enhancement: fixed)

Opened 11 years ago

Last modified 11 years ago

[Patch] Using SQLAlchemy's declarative by default

Reported by: Gustavo Owned by: mramm
Priority: high Milestone:
Component: TurboGears Version: trunk
Severity: major Keywords:
Cc:

Description

 As discussed on the mailing list, I'm attaching several patches to use the declarative method of SA by default.

Attachments

tg-1938.patch Download (7.3 KB) - added by Gustavo 11 years ago.
The patch to use the declarative method in the quickstart
tg-1938-final.patch Download (7.6 KB) - added by Gustavo 11 years ago.
This is the correct patch for this issue. The previous one introduces a bug, which is fixed with this (final) patch.

Change History

Changed 11 years ago by Gustavo

The patch to use the declarative method in the quickstart

comment:1 Changed 11 years ago by Gustavo

Akismet rejected the second patch, please see:  http://groups.google.com/group/turbogears-trunk/msg/87aa17aad2382acd

Changed 11 years ago by Gustavo

This is the correct patch for this issue. The previous one introduces a bug, which is fixed with this (final) patch.

comment:2 Changed 11 years ago by Gustavo

  • Status changed from new to closed
  • Resolution set to fixed

fixed in [5169]

Note: See TracTickets for help on using tickets.